Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.mail
Class Exerciser

    java.lang.Object
      |
      +--com.compoze.mail.Exerciser

public class Exerciser
extends java.lang.Object

This class is an exerciser for the Mail package. To see its usage, run `java com.compoze.mail.Exerciser` by itself.

Method Summary
`static void` | `dumpFolder(IFolder f)` Dumps the folder.
`static void` | `dumpFolder(IFolder f, boolean bSubs)` Dumps the folder.
`static void` | `dumpMessage(IMessage m)` Dumps the message.
`static void` | `main(java.lang.String[] args)` Main (run with no arguments for usage).
`void` | `testFilter()` Tests the filter.
`void` | `testFolders()` Tests the folders.
`void` | `testInbox()` Tests the inbox.
`void` | `testMessage()` Tests the message.
`void` | `testSession()` Tests the session.
`void` | `testSubFolders()` Tests the folders and sub-folders.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### testSession

    public void testSession()
                     throws MailException

  Tests the session.

### testMessage

    public void testMessage()
                     throws MailException

  Tests the message.

### testFolders

    public void testFolders()
                     throws MailException

  Tests the folders.

### testSubFolders

    public void testSubFolders()
                        throws MailException

  Tests the folders and sub-folders.

### dumpFolder

    public static void dumpFolder(IFolder f)
                           throws MailException

  Dumps the folder.
  Parameters:
    `f` - the folder to dump

### dumpFolder

    public static void dumpFolder(IFolder f,
                                  boolean bSubs)
                           throws MailException

  Dumps the folder.
  Parameters:
    `f` - the folder to dump
    `bSubs` - `true` to dump sub-folders

### dumpMessage

    public static void dumpMessage(IMessage m)
                            throws MailException

  Dumps the message.
  Parameters:
    `m` - the message to dump

### testInbox

    public void testInbox()
                   throws MailException

  Tests the inbox.

### testFilter

    public void testFilter()
                    throws MailException

  Tests the filter.

### main

    public static void main(java.lang.String[] args)

  Main (run with no arguments for usage).
  Parameters:
    `args` - command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.